#
# Module for browsing around in Scale widgets
#

# Where is the number associated with the scale.
proc th_Scale_goto {w where} {
  if {[$w get] == $where} {bell ; return 0}
  $w set $where
  return 1
}


# Exchanges current scale value with scale's mark value.
proc th_Scale_exchange_mark {w} {
  global TH
  if {[catch "set TH(Mark,$w)"]} {bell ; return}
  set i [$w get]
  $w set $TH(Mark,$w)
  set TH(Mark,$w) $i
}
